github-actions[bot] commented on PR #29764:
URL: https://github.com/apache/doris/pull/29764#issuecomment-1884165707

   #### `sh-checker report`
   
   To get the full details, please check in the 
[job]("https://github.com/apache/doris/actions/runs/7470260720";) output.
   
   <details>
   <summary>shellcheck errors</summary>
   
   ```
   
   'shellcheck ' returned error 1 finding the following syntactical issues:
   
   ----------
   
   In tools/pick_pr.sh line 58:
   echo -n "step4: will run git cherry-pick ${commitid} , please confirm y/n: "
        ^-- SC3037 (warning): In POSIX sh, echo flags are undefined.
   
   
   In tools/pick_pr.sh line 64:
           echo -n "git cherry-pick return none zero $?, wait for manual 
processing, please confirm continue or exit c/e: "
                ^-- SC3037 (warning): In POSIX sh, echo flags are undefined.
   
   For more information:
     https://www.shellcheck.net/wiki/SC3037 -- In POSIX sh, echo flags are 
undef...
   ----------
   
   You can address the above issues in one of three ways:
   1. Manually correct the issue in the offending shell script;
   2. Disable specific issues by adding the comment:
     # shellcheck disable=NNNN
   above the line that contains the issue, where NNNN is the error code;
   3. Add '-e NNNN' to the SHELLCHECK_OPTS setting in your .yml action file.
   
   
   
   ```
   </details>
   
   <details>
   <summary>shfmt errors</summary>
   
   ```
   
   'shfmt ' returned error 1 finding the following formatting issues:
   
   ----------
   --- tools/pick_pr.sh.orig
   +++ tools/pick_pr.sh
   @@ -39,7 +39,7 @@
    echo
    echo "step2: get pr ${pr} commit id using gh cli"
    commitid=$(gh pr view "${pr}" --repo "${doris_repo}" --json mergeCommit -t 
'{{.mergeCommit.oid}}')
   -if ! git show --stat "${commitid}" ; then
   +if ! git show --stat "${commitid}"; then
        echo "git show --stat ${commitid} failed, ${commitid} is invalid"
        echo
        exit 2
   @@ -48,7 +48,7 @@
    echo
    echo "step3: create local branch ${branch_pick} based on remote branch 
${branch_to}"
    branch_pick=$(echo "pick_${pr}_to_${branch_to}" | sed 's|/|_|g')
   -if ! git checkout -b "${branch_pick} ${branch_to}" ; then
   +if ! git checkout -b "${branch_pick} ${branch_to}"; then
        echo "git checkout -b ${branch_pick} ${branch_to} failed"
        echo
        exit 3
   @@ -60,7 +60,7 @@
    read -r ans
    echo
    if [ "${ans}" = "y" ]; then
   -    if ! git cherry-pick "${commitid}" ; then
   +    if ! git cherry-pick "${commitid}"; then
            echo -n "git cherry-pick return none zero $?, wait for manual 
processing, please confirm continue or exit c/e: "
            read -r ans
            if [ "${ans}" != "c" ]; then
   ----------
   
   You can reformat the above files to meet shfmt's requirements by typing:
   
     shfmt  -w filename
   
   
   ```
   </details>
   
   
   


-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscr...@doris.apache.org

For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@doris.apache.org
For additional commands, e-mail: commits-h...@doris.apache.org

Reply via email to